Pi Durable Platformdocs
ReferenceModels and usage

Ask one of the team's providers which models it offers (its owners and admins)

POST
/v1/teams/{team}/model-providers/{providerId}/discover

Through the address guard, like every request to a team's provider.

Path Parameters

team*string

Team slug or ID

providerId*string
Formatuuid

Response Body

Models the provider offers

application/json
  1. response
data*array<>
curl -X POST 'https://agents.example.com/v1/teams/string/model-providers/497f6eca-6276-4993-bfeb-53cbbbba6f08/discover'
{  "data": [    {      "id": "string",      "name": "string",      "contextWindow": 0,      "added": true    }  ]}